Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.ExplainPipelineResponseOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ExplainPipelineResponse`, `ClientWireProtocol.ExplainPipelineResponse.Builder`

Enclosing class:
  ClientWireProtocol

public static interface ClientWireProtocol.ExplainPipelineResponseOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getPipelineStatement()`
`string pipelineStatement = 2;`
`ByteString`
`getPipelineStatementBytes()`
`string pipelineStatement = 2;`
`boolean`
`getRedirect()`
Redirect = true, means we are telling client to send the command elsewhere
`String`
`getRedirectHost()`
`string redirectHost = 4;`
`ByteString`
`getRedirectHostBytes()`
`string redirectHost = 4;`
`int`
`getRedirectPort()`
`fixed32 redirectPort = 5;`
`ClientWireProtocol.ConfirmationResponse`
`getResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder`
`getResponseOrBuilder()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`boolean`
`hasResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasResponse

boolean hasResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  Whether the response field is set.

### getResponse

ClientWireProtocol.ConfirmationResponse getResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  The response.

### getResponseOrBuilder

ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getPipelineStatement

String getPipelineStatement()
`string pipelineStatement = 2;`

Returns:
  The pipelineStatement.

### getPipelineStatementBytes

ByteString getPipelineStatementBytes()
`string pipelineStatement = 2;`

Returns:
  The bytes for pipelineStatement.

### getRedirect

boolean getRedirect()

     Redirect = true, means we are telling client to send the command elsewhere

`bool redirect = 3;`

Returns:
  The redirect.

### getRedirectHost

String getRedirectHost()
`string redirectHost = 4;`

Returns:
  The redirectHost.

### getRedirectHostBytes

ByteString getRedirectHostBytes()
`string redirectHost = 4;`

Returns:
  The bytes for redirectHost.

### getRedirectPort

int getRedirectPort()
`fixed32 redirectPort = 5;`

Returns:
  The redirectPort.